Loading...
Searching...
No Matches
XrdClCheckpointOperation.hh File Reference
`#include "XrdCl/XrdClFileOperations.hh"`
Include dependency graph for XrdClCheckpointOperation.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | XrdCl::CheckpointImpl< HasHndl >
| Checkpoint operation (. More...
class | XrdCl::ChkptWrtImpl< HasHndl >
| Checkpointed write operation (. More...
class | XrdCl::ChkptWrtVImpl< HasHndl >
| Checkpointed WriteV operation (. More...

## Namespaces

namespace | XrdCl

## Enumerations

enum | XrdCl::ChkPtCode { XrdCl::BEGIN = kXR_ckpBegin , XrdCl::COMMIT = kXR_ckpCommit , XrdCl::ROLLBACK = kXR_ckpRollback }
| Checkpoint operation code. More...

## Functions

CheckpointImpl< false > | XrdCl::Checkpoint (Ctx< File > file, Arg< ChkPtCode > code, uint16_t timeout=0)
| Factory for creating ReadImpl objects.
ChkptWrtImpl< false > | XrdCl::ChkptWrt (Ctx< File > file, Arg< uint64_t > offset, Arg< uint32_t > size, Arg< const void * > buffer, uint16_t timeout=0)
| Factory for creating ReadImpl objects.
ChkptWrtVImpl< false > | XrdCl::ChkptWrtV (Ctx< File > file, Arg< uint64_t > offset, Arg< std::vector< iovec > > iov, uint16_t timeout=0)
| Factory for creating ChkptWrtVImpl objects.